Subject: Re: iSCSI: CHAP Question

From: "Bernard Aboba" <[email-masked]>
Date: Fri, 07 Jun 2002 10:02:21 -0700

>In the draft 12-96, it refers to [RFC 1994] for CHAP. However, there >are 
>also [RFC 2433] (MS-CHAP v1) and [RFC 2759] (MS-CHAP v2)
>which claimed consistent of [RFC 1994].
>
>Anyone knows if they are compatible or not? Could implementer choose >to 
>use either version, and would that cause interoperability issue?

RFC2759 (which supercedes RFC 2433) is consistent with RFC 1994 in the sense 
that the same fields are used. However, MS-CHAP-V2 provides mutual 
authentication using very different algorithms than RFC 1994. So MS-CHAP-V2 
is not interoperable with either MS-CHAP-V1 or RFC 1994 CHAP.

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com